import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { DevopsOperationLog } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-04 14:42
 */
interface DevopsOperationLogCU extends ConditionUtil<DevopsOperationLogCU>{
    ID:FieldUtil<DevopsOperationLogCU>;
    USER_ID:FieldUtil<DevopsOperationLogCU>;
    OPERATION_CONTENT:FieldUtil<DevopsOperationLogCU>;
    OPERATION_DATA:FieldUtil<DevopsOperationLogCU>;
    CREATE_TIME:FieldUtil<DevopsOperationLogCU>;
    UPDATE_TIME:FieldUtil<DevopsOperationLogCU>;
}

class DevopsOperationLogCUImpl extends ConditionUtilImpl<DevopsOperationLogCUImpl> implements DevopsOperationLogCU{ 
    newInstance(): DevopsOperationLogCUImpl {
        return new DevopsOperationLogCUImpl();
    } 
    get ID(): FieldUtil<DevopsOperationLogCU>{  
        return new FieldUtil('ID','id','主键', this);
    }
    get USER_ID(): FieldUtil<DevopsOperationLogCU>{  
        return new FieldUtil('USER_ID','userId','用户id', this);
    }
    get OPERATION_CONTENT(): FieldUtil<DevopsOperationLogCU>{  
        return new FieldUtil('OPERATION_CONTENT','operationContent','操作内容', this);
    }
    get OPERATION_DATA(): FieldUtil<DevopsOperationLogCU>{  
        return new FieldUtil('OPERATION_DATA','operationData','', this);
    }
    get CREATE_TIME(): FieldUtil<DevopsOperationLogCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<DevopsOperationLogCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
}

@Singleton 
class DevopsOperationLogMU extends TableUtilImpl<DevopsOperationLogCU,DevopsOperationLog>{ 
    tableName  = 'devops_operation_log';
    tableFields  = ['id','user_id','operation_content','operation_data','create_time','update_time'];
    modelFields  = ['id','userId','operationContent','operationData','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): DevopsOperationLogCU {
        return new DevopsOperationLogCUImpl();
    }   

    static get ID(): FieldUtil<DevopsOperationLogCU>{ 
        return new FieldUtil('ID','id','主键', new DevopsOperationLogCUImpl());
    }
    static get USER_ID(): FieldUtil<DevopsOperationLogCU>{ 
        return new FieldUtil('USER_ID','userId','用户id', new DevopsOperationLogCUImpl());
    }
    static get OPERATION_CONTENT(): FieldUtil<DevopsOperationLogCU>{ 
        return new FieldUtil('OPERATION_CONTENT','operationContent','操作内容', new DevopsOperationLogCUImpl());
    }
    static get OPERATION_DATA(): FieldUtil<DevopsOperationLogCU>{ 
        return new FieldUtil('OPERATION_DATA','operationData','', new DevopsOperationLogCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<DevopsOperationLogCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new DevopsOperationLogCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<DevopsOperationLogCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new DevopsOperationLogCUImpl());
    }

    get ID(): FieldUtil<DevopsOperationLogCU>{ 
        return DevopsOperationLogMU.ID;
    }
    get USER_ID(): FieldUtil<DevopsOperationLogCU>{ 
        return DevopsOperationLogMU.USER_ID;
    }
    get OPERATION_CONTENT(): FieldUtil<DevopsOperationLogCU>{ 
        return DevopsOperationLogMU.OPERATION_CONTENT;
    }
    get OPERATION_DATA(): FieldUtil<DevopsOperationLogCU>{ 
        return DevopsOperationLogMU.OPERATION_DATA;
    }
    get CREATE_TIME(): FieldUtil<DevopsOperationLogCU>{ 
        return DevopsOperationLogMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<DevopsOperationLogCU>{ 
        return DevopsOperationLogMU.UPDATE_TIME;
    }
}
export {DevopsOperationLogMU, DevopsOperationLogCU}
